# H245_H263Version3Options Class Reference

`#include <h245.h>`

Inheritance diagram for H245_H263Version3Options:

List of all members.

## Public Member Functions

| H245_H263Version3Options (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Boolean | m_dataPartitionedSlices
PASN_Boolean | m_fixedPointIDCT0
PASN_Boolean | m_interlacedFields
PASN_Boolean | m_currentPictureHeaderRepetition
PASN_Boolean | m_previousPictureHeaderRepetition
PASN_Boolean | m_nextPictureHeaderRepetition
PASN_Boolean | m_pictureNumber
PASN_Boolean | m_spareReferencePictures

## Constructor & Destructor Documentation

H245_H263Version3Options::H245_H263Version3Options | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_H263Version3Options::GetDataLength | ( |  | ) | const

PBoolean H245_H263Version3Options::Decode | ( | PASN_Stream & | strm | ) |

void H245_H263Version3Options::Encode | ( | PASN_Stream & | strm | ) | const

void H245_H263Version3Options::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_H263Version3Options::Compare | ( | const PObject & | obj | ) | const

PObject* H245_H263Version3Options::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Boolean H245_H263Version3Options::m_dataPartitionedSlices

PASN_Boolean H245_H263Version3Options::m_fixedPointIDCT0

PASN_Boolean H245_H263Version3Options::m_interlacedFields

PASN_Boolean H245_H263Version3Options::m_currentPictureHeaderRepetition

PASN_Boolean H245_H263Version3Options::m_previousPictureHeaderRepetition

PASN_Boolean H245_H263Version3Options::m_nextPictureHeaderRepetition

PASN_Boolean H245_H263Version3Options::m_pictureNumber

PASN_Boolean H245_H263Version3Options::m_spareReferencePictures

The documentation for this class was generated from the following file:

- h245.h